Блог пользователя Vladosiya

Автор Vladosiya, история, 4 года назад, По-русски

Привет! В Oct/11/2022 17:35 (Moscow time) начнётся Codeforces Round 826 (Div. 3) — очередной Codeforces раунд для третьего дивизиона. В этом раунде будет 6-8 задач, которые подобраны по сложности так, чтобы составить интересное соревнование для участников с рейтингами до 1600. Однако все желающие, чей рейтинг 1600 и выше могут зарегистрироваться на раунд вне конкурса.

Раунд пройдет по правилам образовательных раундов. Таким образом, во время раунда задачи будут тестироваться на предварительных тестах, а после раунда будет 12-ти часовая фаза открытых взломов. Мы постарались сделать приличные тесты — так же как и вы, мы будем расстроены, если у многих будут падать решения после окончания контеста.

Вам будет предложено 6-8 задач и 2 часа 15 минут на их решение.

Штраф за неверную попытку в этом раунде будет равняться 10 минутам.

Напоминаем, что в таблицу официальных результатов попадут только достоверные участники третьего дивизиона. Как написано по ссылке — это вынужденная мера для борьбы с неспортивным поведением. Для квалификации в качестве достоверного участника третьего дивизиона надо:

  • принять участие не менее чем в пяти рейтинговых раундах (и решить в каждом из них хотя бы одну задачу)
  • не иметь в рейтинге точку 1900 или выше.

Независимо от того являетесь вы достоверными участниками третьего дивизиона или нет, если ваш рейтинг менее 1600, то раунд для вас будет рейтинговым.

Спасибо MikeMirzayanov за платформы, помощь с идеями для задач и координацией нашей работы. Задачи были придуманы и написаны командой Университета ИТМО: MikeMirzayanov, myav, Gol_D, Aris, Gornak40, ibraevdmitriy и Vladosiya.

Также большое спасибо: Mangooste, Ormlis, oversolver, Be_dos, IzhitskiyTimofey, Stefan2417, ace5, BledDest, AbsurdMan, toxabuk, Kniaz, goncharovmike, YTatarin, pashka и great_fortune за тестирование раунда и весьма полезные замечания. Список тестеров будет пополняться.

Всем удачи!

UPD: Разбор

  • Проголосовать: нравится
  • +212
  • Проголосовать: не нравится

»
4 года назад, скрыть # |
 
Проголосовать: нравится +67 Проголосовать: не нравится

As a tester, I will not participate in this round

»
4 года назад, скрыть # |
 
Проголосовать: нравится +4 Проголосовать: не нравится

As a non-tester,I invite everyone to participate in the contest. Good luck

»
4 года назад, скрыть # |
 
Проголосовать: нравится -6 Проголосовать: не нравится

You put Div.3 contest on Tuesday and then Div.4 contest on Thursday... unbelievable. But why?

»
4 года назад, скрыть # |
 
Проголосовать: нравится +30 Проголосовать: не нравится

When you see that one of the problem setter is MikeMirzayanov, the excitement goes on another level ;)

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

good contest!!

»
4 года назад, скрыть # |
 
Проголосовать: нравится +31 Проголосовать: не нравится

Mom, I am on TV!

»
4 года назад, скрыть # |
 
Проголосовать: нравится +10 Проголосовать: не нравится

Hopefully it’s fun!

»
4 года назад, скрыть # |
 
Проголосовать: нравится +42 Проголосовать: не нравится

As a toaster, I tasted this round

»
4 года назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +4 Проголосовать: не нравится

BTW I like the cat in the profile picture of Vladosiya.(◠‿◠)

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

ismailfateen I hope we finally reach pupil

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Please put strong test cases, I hate to get hacked in div3/4 contests.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Best of Luck everyone!Hoping for a positive delta

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Glad to see Div. 3 again after a month.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +9 Проголосовать: не нравится

Thanks Vladosiya to arrange a lot of Div3 contest for beginner. Hopefully this contest will be more interesting);

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

According to the rating was rolled back, so I participate in this round will be rated or not?

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

As a pupil, I'm hoping for the Specialist in this round

»
4 года назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

hopefully,I'll become green in this round :)

»
4 года назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Best of luck everyone

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

best of luck everyone.. radhe radhe :)

»
4 года назад, скрыть # |
 
Проголосовать: нравится +8 Проголосовать: не нравится

Me after solving E

Waiting for contest end
»
4 года назад, скрыть # |
 
Проголосовать: нравится +22 Проголосовать: не нравится

Great contest!Congrats to authors!

»
4 года назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

Problem E can be solved with DFS.
my solution: 175655607

»
4 года назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

[Deleted]

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Am I the only stupid one who was trying to solve C without considering the elements should be next together and wasted half of them time on that

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

How to solve the problem C?

»
4 года назад, скрыть # |
 
Проголосовать: нравится +5 Проголосовать: не нравится

Perfect Div.3 round. Congrats.

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Great problems! enjoyed D and F the most!

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

how to solve E ?

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

My God ,solved E in the last minute

  • »
    »
    4 года назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    how to solve E?

  • »
    »
    4 года назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Same for me here, but with F. Got my submission accepted after the contest had already finished. It was tense.

    • »
      »
      »
      4 года назад, скрыть # ^ |
       
      Проголосовать: нравится 0 Проголосовать: не нравится

      How to solve F can you please explain. Thanks

      • »
        »
        »
        »
        4 года назад, скрыть # ^ |
         
        Проголосовать: нравится +3 Проголосовать: не нравится

        Not sure I'm gonna be capable of providing a better explanation or solution than the editorial, but here is what I did:

        1) I sorted all the segments by their left coordinates (their starts)

        2) On the sorted sequence, I grouped all the consecutive segments of the same color

        So using this as an example, after my grouping we would have the following array: {{1,3}, {2}, {5}, {4}}

        3) I looped through every group of segments and for each segment calculated the smallest distance from it to another segment of a different color, for this I checked two things:

        First: The distance of the end of the segment to the start of the first segment on the next group (the segment of a different color with the closest start)

        Second: The distance of the start of the segment to the end of the segment of a different color of a previous group (previous group = starts before the current one) with the furthest end

        To do the second part you have to always keep track of the furthest end so far, which is easy, but for each segment you want to compare it with another segment of a different color, so you have to keep track of the segment with furthest end so far and the segment with the furthest end that doesn't have the same color as that one, doing that you are good and can always apply the method above to calculate the answer for any segment.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +8 Проголосовать: не нравится

Missed my first Div3 Ak by 30seconds T_T

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

How to write question E? I have no idea

  • »
    »
    4 года назад, скрыть # ^ |
    ← Rev. 2  
    Проголосовать: нравится 0 Проголосовать: не нравится

    look carefully , every element of array may/maynot have the potential of being the right/left endpoint indicating the length of a segment so from each element we can have at most 2 probable segments, so we can get highest 2*n segments ,then the problem comes down to figure out whether you can build an array of n elements using some of these segments which are non-intersecting ; you can do that through dfs which I did

  • »
    »
    4 года назад, скрыть # ^ |
    ← Rev. 2  
    Проголосовать: нравится +1 Проголосовать: не нравится

    For every element just check if it can cover the area to it's left and right. If it covers the area to it's left then update the value of that position (dp[i]) with dp[i-left-1] and if it covers the area to it's right then update the value of dp[i+arr[i]] with dp[i-1]. And check for dp[n] at the end. Here is my submission 175628640

»
4 года назад, скрыть # |
 
Проголосовать: нравится +6 Проголосовать: не нравится

Loved problem G, but failed to implement during contest.

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Difficulty-wise, which Div3 problem is equivalent to Div2 D?

»
4 года назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Nice round, thanks!

»
4 года назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Was thinking dp for E but each state of my dp has a loop so thought time complexity will be n * n. Saw some solution has passed which have done the same.

  • »
    »
    4 года назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    you have miscalculated the complexity, it's not n * n

  • »
    »
    4 года назад, скрыть # ^ |
    ← Rev. 2  
    Проголосовать: нравится 0 Проголосовать: не нравится

    Two nested loops is a naive approach and yeah too slow at O(n^2). But if you think about how updates to your dp table are happening there, you can massage inner loop's updates into the outer loop and have just a single loop for O(n) runtime.

    Alternatively think of it as a graph problem, two edges at each index going back/forward, determine if start is connected to the end.

    Really cute problem btw with cute simple solution.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +11 Проголосовать: не нравится

problems were cool! thanks to the authors!

»
4 года назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Pretty Nice Contest! Btw, what is the test that makes solutions for E fail?

»
4 года назад, скрыть # |
← Rev. 3  
Проголосовать: нравится +3 Проголосовать: не нравится

Got WA in problem E using memorization during contest.
But just after the contest got AC with the same code only after removing the memorization part
why did it not exceed time limit??
submission
upd: hacked

»
4 года назад, скрыть # |
 
Проголосовать: нравится +4 Проголосовать: не нравится

Felt like was giving ABC, so yeah nice contest ^_^

»
4 года назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

The cheaters are gonna cheat. There were many videos on YT and many codes where shared among various groups on discord and telegram. This ruins the original rankings and rating of fair participants.

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

can anybody hack my E ?

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

I use dfs to solve E.But it looks like can be hacked.Can anyone show me the way to hack these solutions?

»
4 года назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

cool F. Really disappointed about not solving it in time(

»
4 года назад, скрыть # |
 
Проголосовать: нравится -47 Проголосовать: не нравится

Problem Statement of problem C was bad. For literally around 2 hours and 15 minutes I tried to figure out whats wrong with me. To the author of this problem, you could have written subarray instead of segments. For around 2 hours and 15 minutes I just thought I thought about subsequence. I know it was not completely authors mistake. I should have been more careful. But still you should have avoided the confusing words. Rating goes rrrrrrb :(

  • »
    »
    4 года назад, скрыть # ^ |
     
    Проголосовать: нравится +23 Проголосовать: не нравится

    The statement is perfectly clear, and illustrated with examples. I have also failed to read questions properly in the past and paid the price, but that is not the fault of the author.

»
4 года назад, скрыть # |
 
Проголосовать: нравится -38 Проголосовать: не нравится

F is too easy for its position

»
4 года назад, скрыть # |
 
Проголосовать: нравится -22 Проголосовать: не нравится

Is the contest going to be unrated after this?

https://codeforces.me/blog/entry/107879

»
4 года назад, скрыть # |
 
Проголосовать: нравится +6 Проголосовать: не нравится

Kudos to authors for clear problem statements.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +24 Проголосовать: не нравится

Problem E was a perfect 1D dynamic programming question and the best problem for div3 E.

Overall Great questions. Congrats to authors.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

another great contest by these legends

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can someone can give a small hint for D I have enough time but still couldn't make it

»
4 года назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Did anyone else use min cost max flow on G? I think it works in $$$O(km\log m)$$$.

  • »
    »
    4 года назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    That's insane, do you think you can describe your approach?(I only managed to solved it with bitmasks)

    • »
      »
      »
      4 года назад, скрыть # ^ |
      ← Rev. 3  
      Проголосовать: нравится +9 Проголосовать: не нравится

      For a vertex $$$v$$$ in the original graph, let there be an entrance node $$$2v-1$$$ and exit node $$$2v$$$ in the flow graph. The source is vertex $$$1$$$ (the entrance node for vertex $$$1$$$). Let $$$2n+1$$$ be the sink. The edges are:

      • $$$2v-1\to 2v$$$ with capacity $$$\infty$$$, cost $$$0$$$ for $$$1\leq v \leq n$$$.
      • $$$2u\to 2v-1$$$ with capacity $$$\infty$$$, cost $$$0$$$ for an edge $$$u, v$$$ in the original graph if $$$d(v) = d(u)+1$$$ (where $$$d$$$ is distance from $$$1$$$).
      • $$$2v-1 \to 2v$$$ with capacity $$$1$$$, cost $$$-x_v$$$ where $$$x$$$ is the number of friends without cars at vertex $$$v$$$, for $$$1\leq v\leq n$$$.
      • $$$2v\to 2n+1$$$ with capacity $$$y_v$$$, cost $$$0$$$ where $$$y_v$$$ is the number of friends with cars at vertex $$$v$$$, for $$$1\leq v\leq n$$$.

      The answer $$$k$$$ plus the minimum cost flow of this graph. (Or maybe I'm wrong and you can hack me.) Stop at $$$k$$$ units of flow instead of a maximum flow because the minimum cost will be reached within $$$k$$$ units. Otherwise, the time complexity is $$$O(nm\log m)$$$, I think.

      • »
        »
        »
        »
        4 года назад, скрыть # ^ |
        ← Rev. 2  
        Проголосовать: нравится 0 Проголосовать: не нравится

        Sounds nice, if I got it right it is computing the "maximum cost maximum flow" to find out the maximum number of friends that can be driven and then subtract this from K to get the answer. The transitions are also pretty logical, I don't know if I can find any counter-example. Anyway, I would have never thought of modelling it with a flow chart, gg:)

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Hi, Can someone help with F? I saw some solutions with segtree, but they were difficult to understand.

  • »
    »
    4 года назад, скрыть # ^ |
    ← Rev. 3  
    Проголосовать: нравится 0 Проголосовать: не нравится

    Try think this way: there is no colors in this problem, task is the same but without segment colors.

  • »
    »
    4 года назад, скрыть # ^ |
     
    Проголосовать: нравится +6 Проголосовать: не нравится

    let's assume that the segments are sorted in increasing $$$l$$$. You can split the problem into two parts -

    i) find the greatest $$$r[j]$$$ ($$$j$$$ < $$$i$$$) among all $$$l[j]$$$ which are less than $$$l[i]$$$ and with different color than $$$color[i]$$$

    ii) find the least $$$l[j]$$$ ($$$j$$$ > $$$i$$$) among all $$$l[j]$$$ greater than $$$l[i]$$$ and with different color than $$$color[i]$$$

    Let's see how we can solve the first part. We can store an array $$$mx$$$ where $$$mx[k]$$$ indicates the greatest $$$r$$$ value for a given color $$$k$$$. Store this $$$mx$$$ array in a segment tree so that we can retrieve the maximum value of $$$mx$$$ with updates. Now, for this case, you may wonder why you would actually require a segment tree and not just maintain a set or something similar. The thing is, if we are at the $$$ith$$$ segment, the maximum $$$r$$$ value of any segemnt $$$j$$$ ($$$j$$$ < $$$i$$$) might be of color similar to that of the $$$ith$$$ segment. In which case, we have to find the max $$$r$$$ value of a color which is not that of the $$$ith$$$ segment color. Say the color of the $$$ith$$$ segment is $$$k$$$. We can do this by updating $$$mx[k]$$$ in our segment tree to some very small number and then finding maximum in segment tree and later resetting $$$mx[k]$$$ to what it was initially. Ie make sure that $$$mx[k]$$$ is ignored in our max segment tree.

    Now, as we move through all $$$i$$$ in increasing order of $$$l$$$, we can easily figure out the maximum $$$r$$$ value of a different color using our segtree (explained above). Once we find this maximum $$$r$$$, we we can update the answer for this segment to $$$max(0,segment[i].l-max_r)$$$

    The second part of our problem can be solved in an almost similar way, except we would require a minimum segtree to find the minimum $$$l$$$ value of a segment $$$j$$$ ($$$j$$$ > $$$i$$$) of different color. Alternatively,we could use the same segment tree (max segment tree) except store values in the segment tree as (-(actual value)), now, the abs of the max value will be the least $$$l$$$ value. Once we find this minimum $$$l$$$, we can update the answer for this segment to $$$max(0,min_l-segment[i].r)$$$ We'd also have to make some minor changes like redefining $$$mx[k]$$$ to minimum $$$l$$$ value for a given color $$$k$$$

    submission

»
4 года назад, скрыть # |
 
Проголосовать: нравится +15 Проголосовать: не нравится

Awesome round!!! Keep it up creators! ^D

»
4 года назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

Great round

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Someone please hack my submission for E. 175641835

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can someone explain DFS approach to solve problem E.

  • »
    »
    4 года назад, скрыть # ^ |
    ← Rev. 2  
    Проголосовать: нравится 0 Проголосовать: не нравится

    I think DP solution much easier to understand

  • »
    »
    4 года назад, скрыть # ^ |
     
    Проголосовать: нравится +1 Проголосовать: не нравится

    But DP idea almost like DFS solution. So let me tell you the DP idea first and then DFS

    1) DP solution. Let $$$dp_i$$$ be the True, if the array $$$b[1..i]$$$ can be build by array $$$a$$$ and False otherwise. Our base is $$$dp_0 = True$$$. Then, if $$$dp_{i-1}$$$ is True that means we can build array $$$b[1..i-1]$$$, that we have to do with $$$b_i$$$? Let's say it's the count of numbers in next subarray, we set the $$$dp_i+b_i = 1$$$. And if $$$b_i$$$ was the counter in previous subarray we need to check if we can build array $$$b[1..i-b_i]$$$. The answer is in $$$dp_n$$$ now.

    2) DFS solution. Let's now say from index $$$i$$$ we can go to indexes $$$i+b_i$$$ and $$$i-b_i$$$. Because $$$b_i$$$ is count of numbers in next or previous segments. Let's call this edges and $$$i$$$ as nodes. We have to be able to move from node $$$1$$$ to node $$$n$$$. The answer is $$$dfs(1)$$$ or $$$dfs(n)$$$ now.

    • »
      »
      »
      4 года назад, скрыть # ^ |
      ← Rev. 2  
      Проголосовать: нравится -8 Проголосовать: не нравится

      We can use the visited array to our advantage in the DFS solution, we can simply start DFS from 0 and then check $$$vis[n]$$$ (basically right after the last cell). If the string is valid $$$vis[n]$$$ will be true, otherwise it will be false.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

Great problems but weak test cases for E killed me.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +8 Проголосовать: не нравится

Nice contest, thanks! I think d and g are pretty nice.

I was originally kind of annoyed by F but i looked at some other people's submissions after contest and they're pretty cool, so that was mostly my fault for being an idiot.

»
4 года назад, скрыть # |
← Rev. 3  
Проголосовать: нравится 0 Проголосовать: не нравится

How to approach D anyone?

  • »
    »
    4 года назад, скрыть # ^ |
     
    Проголосовать: нравится 0 Проголосовать: не нравится

    Its a MergeSort problem, you just have to keep track of the left and right part for each segment using a 2d array and then on each iteration see if you can merge i and i+1.

    • »
      »
      »
      4 года назад, скрыть # ^ |
      ← Rev. 2  
      Проголосовать: нравится -8 Проголосовать: не нравится

      Also you can track the first element of the left and right subsegment and swap them if left is greater than right. You don't have to swap the whole array, and this way you get an $$$O(n)$$$ time complexity due to $$$\Sigma_{k=0}^{n-1}{2^k} = 2^n-1$$$ and $$$n$$$ was in the form of $$$2^k$$$. If the absolute difference of the two elements are equal to the difference of the indices for each step, the tree is valid. otherwise the answer is $$$-1$$$

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Why E no was with so weak pretest? Forgot to use memorization.

»
4 года назад, скрыть # |
← Rev. 2  
Проголосовать: нравится +3 Проголосовать: не нравится

I find G easier than F and I've hacked my friend CleinCc and another participant ha___il for their carelessness.

detail: Their time complexity can be as large as $$$O(2^n)$$$

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Why for E, my dfs + memo got hacked as TLE? https://codeforces.me/contest/1741/submission/175640727

method is called getCanSent

the memo map has at most 2n entries.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +2 Проголосовать: не нравится

F is too hard for me :(

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

why this 175643343 n^2 solution is passing for problem E?

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

May I ask whether I would be rated for this round or not? By the rules stated in the announcement, I am not a trusted participant yet(since I took < 5 rated rounds). But according to this line "Regardless of whether you are a trusted participant of the third division or not, if your rating is less than 1600, then the round will be rated for you.", I assume I should be rated for this round. Thanks in advance to your answers

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Does hacks improve delta in div3/div4/educational round ? if yes, how ?

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Does hacks improve delta in div3/div4/educational round ? if yes, how ?

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

How do people target solutions for hacking? Is it random?(just look at people's solutions and try to find vulnerabilities) or it there some other way?

»
4 года назад, скрыть # |
 
Проголосовать: нравится +2 Проголосовать: не нравится

Yesterdays contest was good Though I am going to get a negative But it was fun :) :) :) :)

»
4 года назад, скрыть # |
 
Проголосовать: нравится +4 Проголосовать: не нравится

As a Competitor, I competed this round.

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

My rating is 935 and i participated in Codeforces Round #826 (Div. 3) but its showing unrated for me and i haven't got any ratings. Can anyone please help me out because in notice its also written that " Regardless of whether you are a trusted participant of the third division or not, if your rating is less than 1600, then the round will be rated for you."

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

My rating has still not changed yet, is it not updated for everyone or is it only me.

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

As a newbie, I tried to implement the bitmask idea in problem G but fail in test 3.

I am really desperate. Would you please debug it?

https://codeforces.me/contest/1741/submission/175747503

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Codeforces Language Picker -- chrome extension to fix codeforces language picker.

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

When will the ratings ponints will be added to our accounts? Thanks!

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

hi can anyone tell me what's wrong with my approach for the e problem, i have written a recursive dp code for that . https://codeforces.me/contest/1741/submission/175681998

»
4 года назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

When ratings will be updated?

»
4 года назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

When will the rating points will be added to our accounts? Thanks.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +2 Проголосовать: не нравится

Why the rating not update yet ???

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Is it just me or you think it's taking more than usual for ratings to change ?

»
4 года назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

My rating has not changed after this contest . Any reason why ?

»
4 года назад, скрыть # |
 
Проголосовать: нравится +3 Проголосовать: не нравится

waiting for the updated rating

»
4 года назад, скрыть # |
← Rev. 4  
Проголосовать: нравится 0 Проголосовать: не нравится

MikeMirzayanov Vladosiya ibraevdmitriy

I am sorry for commenting this , but my solutions were skipped because I used a code that was published on geeksforgeeks from 2 months ago , and the code is found in my template , used it with some modification to solve C , and it wasn't the first time to use the same code to solve similar problems during practice

link of this code

link of my submission

»
4 года назад, скрыть # |
 
Проголосовать: нравится +1 Проголосовать: не нравится

When will the rating update?

»
4 года назад, скрыть # |
 
Проголосовать: нравится +2 Проголосовать: не нравится

When will the ratings roll out? :(

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

why Div 3 unrated Until now

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Why it is taking to much time to update ratings?

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

[submission:175569360][problem:1741A][user:dilanyan08] В этом задании идея была одна по моему мнению и если у нас почти одинаковые решения это не значит что мы нарушили правила. Пожалуйста пересмотрите ваше решение.

»
4 года назад, скрыть # |
 
Проголосовать: нравится +4 Проголосовать: не нравится

Rating is now updated! Congratulations to myself1
Screenshot-2022-10-12-215448

»
4 года назад, скрыть # |
← Rev. 2  
Проголосовать: нравится 0 Проголосовать: не нравится

Why are Common Standing Seat and Rating Changes seat different? Example- Common standing 3600 Rating changes 4300

»
4 года назад, скрыть # |
 
Проголосовать: нравится 0 Проголосовать: не нравится

Can someone tell me why this code Time limit exceeded on test 40? https://codeforces.me/contest/1741/submission/176144895